# EngineIDMapping Struct Reference

## Data Fields
uint32 | grfid
| The GRF ID of the file the entity belongs to.
uint16 | internal_id
| The internal ID within the GRF file.
VehicleTypeByte | type
| The engine type.
uint8 | substitute_id
| The (original) entity ID to use if this GRF is not available (currently not used).

## Detailed Description

Definition at line 87 of file engine_base.h.

The documentation for this struct was generated from the following file:

- src/engine_base.h